package com.sooka.sponest.monitor.broadcast.domain;

import com.ruoyi.common.datascope.base.domain.BaseBusinessEntity;
import com.sooka.sponest.monitor.device.domain.CentermonitorTMonitoringDevice;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 云广播设备对象 centermonitor_t_cloud_broadcast
 *
 * @author ruoyi
 * @date 2023-04-23
 */
@Data
public class CentermonitorTCloudBroadcast extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private String id;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String name;

    /**
     * 所属部门
     */
    @Excel(name = "所属部门")
    private String deptName;

    /**
     * 所属部门ID
     */
//    @Excel(name = "所属部门ID")
    private String deptId;

    /**
     * 型号
     */
    @Excel(name = "型号")
    private String model;

    /**
     * 经度
     */
    @Excel(name = "经度")
    private String longitude;

    /**
     * 纬度
     */
    @Excel(name = "纬度")
    private String latitude;

    /**
     * 所属区域
     */
    @Excel(name = "所属区域")
    private String position ="";

    private String remark ="";

    /**
     * 可用系统
     */
    private String type;

    private String distance;


    /**
     * 可用系统
     */
    private String broadcastUse;

    private List<CentermonitorTCloudBroadcast> broadcastSystem = new ArrayList<>();
    private String typeName;
    private String cameraId;

    public String database_system;

    /**
     * 云广播图片
     * */
    private List<String> broadcastImages;

    private List<String> broadcastImagesList;


    public String getDatabase_system() {
        return database_system;
    }

    public void setDatabase_system(String database_system) {
        this.database_system = database_system;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getModel() {
        return model;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getPosition() {
        return position;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("deptName", getDeptName())
                .append("deptId", getDeptId())
                .append("model", getModel())
                .append("longitude", getLongitude())
                .append("latitude", getLatitude())
                .append("position", getPosition())
                .append("remark", getRemark())
                .append("type", getType())
                .toString();
    }
}
